Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 971784 - backlight control keys not working
backlight control keys not working
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: razorqt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eugene A. Pivnev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 05:23 EDT by Karel Volný
Modified: 2015-02-18 08:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:55:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-06-07 05:23:51 EDT
Description of problem:
I cannot control the brightness of my laptop (Lenovo T510) screen with the keyboard in RazorQt. This has worked for me in KDE.

Version-Release number of selected component (if applicable):
razorqt-0.5.2-9.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. hit Fn+Home/Fn+End

Actual results:
screen goes brighter/darker

Expected results:
nothing happens

Additional info:
writing /sys/class/backlight/acpi_video0/brightness or using xbacklight works
Comment 1 Eugene A. Pivnev 2013-06-07 06:16:27 EDT
Razor-qt not handles keyboard. This is job of keyboard handlers (like keyboard layout switcher).
Try to use razorqt-globalkeyshortcuts.
Comment 2 Karel Volný 2013-07-01 10:59:50 EDT
(In reply to Eugene A. Pivnev from comment #1)
> Razor-qt not handles keyboard. This is job of keyboard handlers (like
> keyboard layout switcher).
> Try to use razorqt-globalkeyshortcuts.

pardon my ignorance, but ... do you suggest to make sure manually that xbacklight is installed and use razorqt settings to create a key binding between the Fn+PgUp/PgDn combinations and "xbacklight +-N"? for each user separately?

this doesn't look very user-friendly ...

in addition, I'm just not getting the "Razor-qt not handles keyboard" part - how is that possible that hitting Fn+PgUp works for controlling the keyboard light for example, while Fn+PgUp/PgDn does not work?

either both should work, or both should not work, if half of the Fn-combinations works and half does not, that's not a feature, that's cleanly a bug, IMO
Comment 3 Eugene A. Pivnev 2013-09-30 04:41:14 EDT
(In reply to Karel Volný from comment #2)

> in addition, I'm just not getting the "Razor-qt not handles keyboard" part -
> how is that possible that hitting Fn+PgUp works for controlling the keyboard
> light for example, while Fn+PgUp/PgDn does not work?
> 
> either both should work, or both should not work, if half of the
> Fn-combinations works and half does not, that's not a feature, that's
> cleanly a bug, IMO

Another idea - openbox intercepts _some_ keys. Try to run razorqt over another WM (e.g. kwin or icewm).
I can't test you problem because has no notebook nor special keys on keyboard.
Comment 4 Rolle 2013-11-29 16:56:51 EST
The same here with Laptop Fujitsu Lifebook E8420.
The FN-Keys don't change the backlight. The symbol occurs on the screen, but the backlight doesn't change the brightness. In gnome-shell the slider in the upper right menu works fine.

lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Fedora 20 beta, kernel 3.11.9
Comment 5 Karel Volný 2013-12-02 06:16:37 EST
(In reply to Rolle from comment #4)
> The same here with Laptop Fujitsu Lifebook E8420.

I have swapped the hardware meanwhile and I don't have RazorQt on the new machine; not exactly in the mood to install it just for testing this, so ... please, if this happens to you on your Lifebook, could you try the suggestion in comment #3 and report back? (NEEDINFO)
Comment 6 Rolle 2013-12-03 10:03:11 EST
The keys doesn't work in RazorQT nor in Gnome 3.10.

What do you mean with "openbox intercepts _some_ keys"?
I can add some hot keys in RazorQT and in Gnome. But what command must I insert?
For me is curious: The slider in gnome works. The laptop keys (FN + F6/F7) reacts in gnome -> the symbol for brightness appera. But I can only change with the keys in 1 step. The bar in the brightness symboll changes only 1 step. 
If I change the brightness with the slider and then I try it with the key, the symbol reads at the beginning the correct brightness value and shows the right position of the bar (high brightness -> full bar; middle brightness -> middle bar; dark brightness -> small bar). But I can't change the value to the limits. It is only changeable in 1 step.
Maybe the hotkey reads the actual value correctly, but not the limits and/or the steps to change the level.
Comment 7 Benjamin Gerfelder 2014-01-18 18:03:27 EST
Could this possibly be connected to this: https://bugzilla.redhat.com/show_bug.cgi?id=1046085

I have the same issue on two different laptops. Not sure if really is kernel-related or some other component though, I just came across the issue after the Fedora20 updated the first time after a stock installation, so there are many components changed...

For me, on both machines, only the "reduce screen backlight" does not work (which is Fn+F4 on one machine, and Fn+CursorLeft on the other).
Comment 8 Fedora End Of Life 2015-01-09 17:08:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:55:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.